Home | All Classes | Grouped Classes | Index | Search

# CL_Zip_Archive::save

Saves zip archive.

    	void save();

    	void save(
    		const std::string& filename);

Parameters:

filename
  Filename of zip archive. Must not be used to save to the same as loaded from.

Detailed description:

If no filename parameter was passed, it will modify the zip archive loaded at construction time. It does this by creating a temporary file, saving the new archive, deletes the old one and renames the temp file to the original archive filename.

If the archive was created instead of loaded, a filename must be specify a filename. Likewise, if saving to same archive as loaded from, a filename must not be specified. Doing so will cause the save operation to fail.

See also:

CL_Zip_Archive

Questions or comments, write to the ClanLib mailing list.